/*******************************************************************************
 * Copyright (c) 2001 IBM Corporation.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v0.5 
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v05.html
 * 
 * Contributors:
 *     IBM Corporation - example implementation
 ******************************************************************************/

package com.example;

import org.eclipse.core.runtime.IPluginDescriptor;
import org.eclipse.core.runtime.Plugin;

public class LibCopyPlugIn extends Plugin {
	
	/**
	 * The singleton instance of this plug-in runtime class,
	 * or <code>null</code> if not yet initialized.
	 */
	private static LibCopyPlugIn INSTANCE;
	
	/**
	 * Plug-in identifier of this plug-in.
	 */
	public static final String ID = new String("com.example.libcopy");
	
	public LibCopyPlugIn(IPluginDescriptor descriptor) {
		super(descriptor);
		INSTANCE = this;
	}

	public static LibCopyPlugIn getInstance() {
		return INSTANCE;
	}

}

